package com.zj365.health.act.healthrecord

import android.view.View
import androidx.recyclerview.widget.LinearLayoutManager
import com.alibaba.android.arouter.facade.annotation.Route
import com.xty.base.act.BaseListAct
import com.xty.base.vm.BaseVm
import com.xty.common.arouter.ARouterUrl
import com.xty.common.arouter.RouteManager
import com.zj365.health.adapter.healthrecord.HealthRecordsAdapter
import com.zj365.health.databinding.ActHealthRecordBinding
import com.zj365.health.databinding.ActHealthRecordsListBinding
import com.zj365.health.vm.HealthRecordsListVm

@Route(path = ARouterUrl.FAMILY_REPORT_LIST_ACT)
class HealthRecordsListAct : BaseListAct<HealthRecordsListVm>() {

    val binding by lazy { ActHealthRecordsListBinding.inflate(layoutInflater) }

    val mAdapter by lazy { HealthRecordsAdapter()}

    override fun initAdapter() {
        binding.recyclerView.adapter = mAdapter
        binding.recyclerView.layoutManager = LinearLayoutManager(this,LinearLayoutManager.VERTICAL,false)
    }

    override fun loadData() {

        mViewModel.getHealthRecordList()
    }

    override fun initView() {
        super.initView()
        statusBar(binding.title.mView)
        binding.title.mTvTitle.text = "报告记录"
        binding.title.mIvBack.setOnClickListener {
            finish()
        }
        binding.tvUploadReport.setOnClickListener {
            RouteManager.goAct(ARouterUrl.FAMILY_REPORT_UPLOAD_ACT)
        }
    }

    override fun liveObserver() {
        mViewModel.healthReportListLiveData.observe(this){
            mAdapter.setNewInstance(it.data.records)
        }
    }

    override fun setLayout() = binding.root
}